Welcome to the Linux Foundation Forum!

Lab 4.1. chaincode invoke error - how to specify sequence/package_id

I re-packaged, re-approved and re-committed simple_contract and now it's at sequence 2 and has a new package id. (same version)

During invoke, I encounter the error
"Error: could not assemble transaction: proposal response was not successful, error code 500, msg error in simulation: failed to execute transaction 9273b695239c5230542bad867d2f028ee12f3e2a39dd9086c4dd5d4e200b94c7: could not launch chaincode simple_chaincode_1.0:5bf65b12a78ac16ee149aebed1c99fe87781ae699ae18bad6f1123ecd92c35af: chaincode registration failed: container exited with 254 - proposal response: version:1 response: "

It is using my old package_id, how do I invoke specifying my new package_id or sequence no? Or there is a step I could take to update that before running Invoke?

Thanks!

Comments

  • Bobbijn
    Bobbijn Posts: 148

    @herman77057, Hello, let's see if we can get to the bottom of this. First, try to completely shut down and restart the blockchain this might re-direct to the correct package _id. Also, it is important that the chaincode is properly installed. Please let me know if this helps. Bobbi

Categories

Upcoming Training